Welcome to Questions - Ask OpenNMS, where you can ask questions and receive answers from other members of the community.

Problem upgrading opennms from version 20.0.0-1 to 20.0.2-1

0 votes
8 views

When running $OPENNMS_HOME/bin/install -dis getting the following error message and upgrade fails:

21:05:27.449 [Main] INFO  org.opennms.core.schema.Migrator - validating database version
java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at org.opennms.bootstrap.Bootstrap$4.run(Bootstrap.java:525)
        at java.lang.Thread.run(Thread.java:745)
Caused by: org.opennms.core.schema.MigrationException: an error occurred getting the version from the database
        at org.opennms.core.schema.Migrator.getDatabaseVersion(Migrator.java:183)
        at org.opennms.core.schema.Migrator.validateDatabaseVersion(Migrator.java:211)
        at org.opennms.install.Installer.install(Installer.java:245)
        at org.opennms.install.Installer.main(Installer.java:990)
        ... 6 more
Caused by: org.postgresql.util.PSQLException: FATAL: password authentication failed for user "postgres"
        at org.postgresql.core.v3.ConnectionFactoryImpl.doAuthentication(ConnectionFactoryImpl.java:446)
        at org.postgresql.core.v3.ConnectionFactoryImpl.openConnectionImpl(ConnectionFactoryImpl.java:220)
        at org.postgresql.core.ConnectionFactory.openConnection(ConnectionFactory.java:55)
        at org.postgresql.jdbc.PgConnection.<init>(PgConnection.java:219)
        at org.postgresql.Driver.makeConnection(Driver.java:407)
        at org.postgresql.Driver.connect(Driver.java:275)
        at java.sql.DriverManager.getConnection(DriverManager.java:664)
        at java.sql.DriverManager.getConnection(DriverManager.java:208)
        at org.opennms.core.db.install.SimpleDataSource.getConnection(SimpleDataSource.java:113)
        at org.opennms.core.schema.Migrator.getDatabaseVersion(Migrator.java:171)
        ... 9 more

Found the problem...  Updated the postgres password and all is good now. 

Thanks,
Don

OpenNMS version
20.0.0-1
Java version
java version "1.8.0_112"
Operating system
RHEL 7.4
PostgreSQL version
psql (PostgreSQL) 9.6.4
asked Sep 12 by dsudom (150 points)

Please log in or register to answer this question.

...